%define upstream_name    Complete-Env
%define upstream_version 0.400

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Completion routines related to environment variables
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Common)
BuildRequires: perl(Complete::Util)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Completion routines related to environment variables.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.400.0-4.mga10
+ Revision: 2205206
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.400.0-3.mga9
+ Revision: 1811135
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.400.0-2.mga8
+ Revision: 1520669
- Mageia 8 Mass Rebuild

* Tue Dec 04 2018 shlomif <shlomif> 0.400.0-1.mga7
+ Revision: 1338288
- add desc
- cpan2dist


* Tue Dec 04 2018 cpan2dist 0.400-1mga
- initial mageia release, generated with cpan2dist
